<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;


$document->addCustomTag('
<style type="text/css">
.ext_simple_slide .paging{
	background: '.$color_background.';	
	bottom: '.$ext_bottom.'px;
	border-radius: '.$ext_border_radius_block.';
	'.$ext_left_or_right.': '.$ext_left_or_right_val.'px;
}
.ext_simple_slide .paging a {
	background: '.$color_background_button.';
	color: '.$color_button.';
	border-radius: '.$ext_border_radius_button.';
}
.ext_simple_slide .paging a.active {
	background: '.$color_background_button_active.'; 
	color: '.$color_button_active.';
}
</style>');

?>

<div class="mod_ext_simple_slide <?php echo $moduleclass_sfx ?>">	
	<div class="ext_simple_slide" style="height:<?php echo $height;?>px; width:<?php echo $width;?>px;">
	<?php
	echo '<div class="image_reel">';
		for($n=0;$n < count($img);$n++) {			
			if( $img[$n] != '') {
				if ($url[$n] == '') $url[$n] = '#';
				echo '<a href="'.$url[$n].'" target="'.$target[$n].'"><img src="'.$img[$n].'" alt="'.$alt[$n].'" width="'.$width.'px" height="'.$height.'px" /></a>';
			}
		}
	echo "</div>";
	echo '<div class="paging">';
		for($n=0;$n < count($img);$n++) {			
			 if( $img[$n] != '') {
				$i=$n+1;				
				echo '<a href="#" rel="'.$i.'">'.$i.'</a>';
			}
		}
	echo "</div>";
	?>
	</div>
	<div style="clear: both;"></div>
</div>

<script type="text/javascript">
jQuery(document).ready(function() {	
	//Set Default State of each portfolio piece
	jQuery(".paging").show();
	jQuery(".paging a:first").addClass("active");
	//Get size of images, how many there are, then determin the size of the image reel.
	var imageWidth = jQuery(".ext_simple_slide").width();
	var imageSum = jQuery(".image_reel img").size();
	var imageReelWidth = imageWidth * imageSum;
	//Adjust the image reel to its new size
	jQuery(".image_reel").css({'width' : imageReelWidth});
	//Paging + Slider Function
	rotate = function(){	
		var triggerID = active.attr("rel") - 1; //Get number of times to slide
		var image_reelPosition = triggerID * imageWidth; //Determines the distance the image reel needs to slide
		jQuery(".paging a").removeClass('active'); //Remove all active class
		active.addClass('active'); //Add active class (the $active is declared in the rotateSwitch function)
		//Slider Animation
		jQuery(".image_reel").animate({ 
			left: -image_reelPosition
		}, 500 );
	}; 
	//Rotation + Timing Event
	rotateSwitch = function(){		
		play = setInterval(function(){ //Set timer - this will repeat itself every 3 seconds
			active = jQuery('.paging a.active').next();
			if ( active.length === 0) { //If paging reaches the end...
				active = jQuery('.paging a:first'); //go back to first
			}
			rotate(); //Trigger the paging and slider function
		}, <?php echo $ext_speed;?>); //Timer speed in milliseconds (3 seconds)
	};
	rotateSwitch(); //Run function on launch
	//On Hover
	jQuery(".image_reel a").hover(function() {
		clearInterval(play); //Stop the rotation
	}, function() {
		rotateSwitch(); //Resume rotation
	});	
	//On Click
	jQuery(".paging a").click(function() {	
		active = jQuery(this); //Activate the clicked paging
		//Reset Timer
		clearInterval(play); //Stop the rotation
		rotate(); //Trigger rotation immediately
		rotateSwitch(); // Resume rotation
		return false; //Prevent browser jump to link anchor
	});	

});
</script>